<?php
session_start();
include_once '../new/connection_sql.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link href="style.css" rel="stylesheet" type="text/css" media="screen" />


    <title>Search Invoice Stores</title>
    <link rel="stylesheet" href="css/bootstrap.min.css">


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>



    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">



    <!-- <script language="JavaScript" src="js/search_joborder.js"></script> -->

    <script language="JavaScript" src="https://code.jquery.com/jquery-3.3.1.js"></script>
    <script language="JavaScript" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script language="JavaScript" src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>


    <script language="JavaScript" src="js/inv.js"></script> 



</head>

<body>


    <?php
    $stname = "";
    if (isset($_GET['stname'])) {
        $stname = $_GET["stname"];
    }
    ?>
    <input type="hidden" value="" id="cur" />


    <div id="filt_table" class="CSSTableGenerator container"> 
        <table id="testTable"  class="table table-bordered">
            <?php

           $phrase = "";
                    // if($stname == "arn"){
                    //     $phrase = " where cancel='0' ";
                    // }
                    require_once("connectioni.php");

 echo "<table id='example'  class='table table-bordered' style='font-size: 14px;'>";

           echo "<thead><tr>";
            echo "<th style=\"text-align:center\">Invoice No</th>";
            echo "<th style=\"text-align:center\">Customer</th>";
            echo "<th style=\"text-align:center\">Invoice Date</th>";  
            echo "<th style=\"text-align:center\">Delivery Date</th>";  
            echo "<th style=\"text-align:center\">Invoice Value</th>";   


            echo "</tr></thead><tbody>";
            

           
           if ($stname=="crn"){
								if ($_SESSION["custno"]!=""){
									$sql="SELECT * FROM s_salma where C_CODE='".$_SESSION["custno"]."' and CANCELL='0' order by id desc ";
								} else {
									$sql="SELECT * FROM s_salma where CANCELL='0' order by id desc  ";
								}
							} else if ($_GET["stname"]=="grn"){
								if ($_SESSION["custno"]!=""){
									$sql="SELECT * FROM s_salma where C_CODE='".$_SESSION["custno"]."' and CANCELL='0' order by id desc";
								} else {
									$sql="SELECT * FROM s_salma where CANCELL='0' order by id desc";
								}	
							} else if ($_GET["stname"]=="search_grn"){
								$sql="SELECT * FROM s_crnma where CANCELL='0' order by id desc ";	
								
							} else if ($_GET["stname"]=="inv_mast_saved"){	
							
								$sql="SELECT * FROM s_salma where  CANCELL='0' and driver!='' order by id desc ";
							} else if ($_GET["stname"]=="inv_mast_date") {	
								$sql="SELECT * FROM s_salma where  CANCELL='0' and (deli_date='' or deli_date='0000-00-00' or deli_date IS NULL)  order by id desc  ";	
							} else {
								$sql="SELECT * FROM s_salma where  CANCELL='0' order by id desc ";
							}
                    
            $result = mysqli_query($GLOBALS['dbinv'], $sql);

                 
 
            foreach ($conn->query($sql) as $row) { 
              $cuscode = $row["REFNO"];
 
               		echo "<tr>               
                              <td onclick=\"invno('".$row['REF_NO']."', '".$stname."');\">".$row['REF_NO']."</a></td>
                              <td onclick=\"invno('".$row['REF_NO']."', '".$stname."');\">".$row["CUS_NAME"]."</a></td>
                              <td onclick=\"invno('".$row['REF_NO']."', '".$stname."');\">".$row['SDATE']."</a></td>
                              <td onclick=\"invno('".$row['REF_NO']."', '".$stname."');\">".$row['deli_date']."</a></td>
							  <td onclick=\"invno('".$row['REF_NO']."', '".$stname."');\">".$row['GRAND_TOT']."</a></td>
                              
                            </tr>";
            }
            ?>
        </table> </div>

      <script type="text/javascript">
                $(document).ready(function() {
           var table = $('#example').DataTable( {
            lengthChange: true,
            fixedHeader: true,
            responsive: true,
            "deferRender": true, 
             "order": [[ 2, 'desc' ]], 
            lengthMenu: [[ 25, 50,100, -1 ],[ '25 rows', '50 rows', '100 rows', 'Show all' ]],

        } );

$('div.dataTables_filter input', table.table().container()).focus();
           table.buttons().container()
           .appendTo( '#example_wrapper .col-md-6:eq(0)' );
           
       } );
        </script>


</body>
</html>



 
  